REM tat de l'occupation des tablespaces
REM ------------------------------------

SELECT 
  t.tablespace_name  "Tablespace",
  t.status "Status",
  ROUND((MAX(d.bytes)/1024/1024) - (SUM(f.bytes)/1024/1024), 2) "Used MB",
  ROUND(SUM(f.bytes)/1024/1024, 2) "Free MB" ,
  ROUND(100-(SUM(f.bytes))/MAX(d.bytes)*100,2) "% Used",
  t.initial_extent "Initial Extent",
  t.next_extent "Next Extent",
  t.min_extents "Min Extents",
  t.max_extents "Max Extents",
  t.pct_increase "Pct Increase",
  substr(d.file_name,1,50) "Datafile name"      
FROM 
  DBA_FREE_SPACE f ,
  DBA_DATA_FILES d ,
  DBA_TABLESPACES t
WHERE 
--  d.autoextensible<>'YES' and
  t.tablespace_name = d.tablespace_name     AND
  f.tablespace_name(+) = d.tablespace_name     AND
  f.file_id(+) = d.file_id 
  and  (t.tablespace_name ,d.file_id) in  
  (
  select 
    t.tablespace_name , max(d.file_id)
  from
    DBA_DATA_FILES d ,
    DBA_TABLESPACES t
  where
    t.tablespace_name = d.tablespace_name and 
    t.tablespace_name <> 'SYSTEM' and
    t.tablespace_name not like 'PERFDATA' and
    t.tablespace_name not like 'SYSAUX' and
    t.tablespace_name not like '%RBS%' and
    t.tablespace_name not like '%TEMP%' and
    t.tablespace_name not like '%ROLLBACK%' and 
    t.tablespace_name not like '%TMP%'
  group by t.tablespace_name
  )     
GROUP BY
t.tablespace_name ,    
d.file_name ,    
t.initial_extent ,     
t.next_extent ,    
t.min_extents ,    
t.max_extents ,     
t.pct_increase , 
t.status
having 1-(SUM(f.bytes)/MAX(d.bytes)) > $pct_occupation_max/100      
ORDER BY 1,3 DESC;